package com.gtiit.shr;

import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan({"com.gtiit.shr.mapper"})
@EnableEncryptableProperties
@EnableScheduling
public class GtiitApplication {


    public static void main(String[] args) {
        SpringApplication.run(GtiitApplication.class, args);
    }
}
