package com.gtiit.shr.controller;

import com.gtiit.shr.common.ResponseResult;
import com.gtiit.shr.common.Result;
import com.gtiit.shr.entity.vo.PositionVo;
import com.gtiit.shr.service.PositionService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"/position"})
public class PositionController {
    @Autowired
    private PositionService positionService;

    public PositionController() {
    }

    @RequestMapping({"/insertBatchJob"})
    public Result insertBatchPerson(@RequestBody List<PositionVo> positionVos) {
        int result = this.positionService.insertBatchPerson(positionVos);
        return result == 0 ? ResponseResult.isError("职位信息保存失败！", (Object)null) : ResponseResult.isOk("职位信息保存成功！", (Object)null);
    }
}
