package com.gtiit.shr.controller;

import com.gtiit.shr.common.Result;
import com.gtiit.shr.service.SynPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"OA"})
public class ShrPersonController {
    @Autowired
    SynPersonService synPersonService;

    public ShrPersonController() {
    }

    @GetMapping({"/synPerson"})
    public Result admin(@RequestParam String startDate, @RequestParam String endDate, @RequestParam String personNumber) throws Exception {
        return this.synPersonService.synPerson(startDate, endDate, personNumber);
    }
}
